<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:16 CST 2018 -->
<title>Convert</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Convert";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":9,"i24":9,"i25":9,"i26":9,"i27":9,"i28":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Convert.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../projectx/engine/utils/MergeSort.html" title="class in projectx.engine.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/utils/Convert.html" target="_top">Frames</a></li>
<li><a href="Convert.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.engine.utils</div>
<h2 title="Class Convert" class="title">Class Convert</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>projectx.engine.utils.Convert</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Convert</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#BOOLEAN_LENGTH">BOOLEAN_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#BYTE_LENGTH">BYTE_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#CREATURE_BYTE_ARRAY_LENGTH">CREATURE_BYTE_ARRAY_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#DOUBLE_LENGTH">DOUBLE_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#FLOAT_LENGTH">FLOAT_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#INT_LENGTH">INT_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#LONG_LENGTH">LONG_LENGTH</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#Convert--">Convert</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#booleanToByte-boolean-">booleanToByte</a></span>(boolean&nbsp;b)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToCreature-byte:A-projectx.engine.Handler-">byteArrayToCreature</a></span>(byte[]&nbsp;a,
                   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToCreatureArray-byte:A-projectx.engine.Handler-">byteArrayToCreatureArray</a></span>(byte[]&nbsp;b,
                        <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">To Be finished later</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToDouble-byte:A-">byteArrayToDouble</a></span>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToFloat-byte:A-">byteArrayToFloat</a></span>(byte[]&nbsp;bytes)</code>
<div class="block">Casts to int for conversion</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToInt-byte:A-">byteArrayToInt</a></span>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToInventory-byte:A-">byteArrayToInventory</a></span>(byte[]&nbsp;a)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToLong-byte:A-">byteArrayToLong</a></span>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToString-byte:A-">byteArrayToString</a></span>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#bytePrimArrayToObjectArray-byte:A-">bytePrimArrayToObjectArray</a></span>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#bytePrimtoByte-byte-">bytePrimtoByte</a></span>(byte&nbsp;b)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteToBoolean-byte-">byteToBoolean</a></span>(byte&nbsp;b)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteToObject-java.lang.Byte-">byteToObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>&nbsp;b)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteToPrim-java.lang.Byte-">byteToPrim</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>&nbsp;b)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#creatureArrayToByteArray-projectx.engine.managers.entities.creatures.Creature:A-">creatureArrayToByteArray</a></span>(<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]&nbsp;creatures)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#creatureToByteArray-projectx.engine.managers.entities.creatures.Creature-">creatureToByteArray</a></span>(<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;c)</code>
<div class="block">Mitchell will make this better</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#creatureToString-projectx.engine.managers.entities.creatures.Creature-">creatureToString</a></span>(<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#doubleToByteArray-double-">doubleToByteArray</a></span>(double&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#floatToByteArray-float-">floatToByteArray</a></span>(float&nbsp;value)</code>
<div class="block">Casts to in for conversion</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#intToByteArray-int-">intToByteArray</a></span>(int&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#longToByteArray-long-">longToByteArray</a></span>(long&nbsp;value)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#main-java.lang.String:A-">main</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#objectArrayToBytePrimArray-java.lang.Object:A-">objectArrayToBytePrimArray</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#objectToByte-java.lang.Object-">objectToByte</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#stringToByteArray-java.lang.String-">stringToByteArray</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;s)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#xpixelToTile-float-">xpixelToTile</a></span>(float&nbsp;pixel)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#xtileToPixel-float-">xtileToPixel</a></span>(float&nbsp;tile)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#ypixelToTile-float-">ypixelToTile</a></span>(float&nbsp;pixel)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>static float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#ytileToPixel-float-">ytileToPixel</a></span>(float&nbsp;tile)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="INT_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INT_LENGTH</h4>
<pre>public static final&nbsp;int INT_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.utils.Convert.INT_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FLOAT_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOAT_LENGTH</h4>
<pre>public static final&nbsp;int FLOAT_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.utils.Convert.FLOAT_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOOLEAN_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOOLEAN_LENGTH</h4>
<pre>public static final&nbsp;int BOOLEAN_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.utils.Convert.BOOLEAN_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BYTE_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTE_LENGTH</h4>
<pre>public static final&nbsp;int BYTE_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.utils.Convert.BYTE_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LONG_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LONG_LENGTH</h4>
<pre>public static final&nbsp;int LONG_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.utils.Convert.LONG_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DOUBLE_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOUBLE_LENGTH</h4>
<pre>public static final&nbsp;int DOUBLE_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.utils.Convert.DOUBLE_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CREATURE_BYTE_ARRAY_LENGTH">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CREATURE_BYTE_ARRAY_LENGTH</h4>
<pre>public static final&nbsp;int CREATURE_BYTE_ARRAY_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#projectx.engine.utils.Convert.CREATURE_BYTE_ARRAY_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Convert--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Convert</h4>
<pre>public&nbsp;Convert()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="xtileToPixel-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>xtileToPixel</h4>
<pre>public static&nbsp;float&nbsp;xtileToPixel(float&nbsp;tile)</pre>
</li>
</ul>
<a name="xpixelToTile-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>xpixelToTile</h4>
<pre>public static&nbsp;float&nbsp;xpixelToTile(float&nbsp;pixel)</pre>
</li>
</ul>
<a name="ytileToPixel-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ytileToPixel</h4>
<pre>public static&nbsp;float&nbsp;ytileToPixel(float&nbsp;tile)</pre>
</li>
</ul>
<a name="ypixelToTile-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ypixelToTile</h4>
<pre>public static&nbsp;float&nbsp;ypixelToTile(float&nbsp;pixel)</pre>
</li>
</ul>
<a name="booleanToByte-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>booleanToByte</h4>
<pre>public static&nbsp;byte&nbsp;booleanToByte(boolean&nbsp;b)</pre>
</li>
</ul>
<a name="byteToBoolean-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteToBoolean</h4>
<pre>public static&nbsp;boolean&nbsp;byteToBoolean(byte&nbsp;b)</pre>
</li>
</ul>
<a name="doubleToByteArray-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doubleToByteArray</h4>
<pre>public static&nbsp;byte[]&nbsp;doubleToByteArray(double&nbsp;value)</pre>
</li>
</ul>
<a name="byteArrayToDouble-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToDouble</h4>
<pre>public static&nbsp;double&nbsp;byteArrayToDouble(byte[]&nbsp;bytes)</pre>
</li>
</ul>
<a name="longToByteArray-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>longToByteArray</h4>
<pre>public static&nbsp;byte[]&nbsp;longToByteArray(long&nbsp;value)</pre>
</li>
</ul>
<a name="byteArrayToLong-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToLong</h4>
<pre>public static&nbsp;long&nbsp;byteArrayToLong(byte[]&nbsp;bytes)</pre>
</li>
</ul>
<a name="floatToByteArray-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>floatToByteArray</h4>
<pre>public static&nbsp;byte[]&nbsp;floatToByteArray(float&nbsp;value)</pre>
<div class="block">Casts to in for conversion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="byteArrayToFloat-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToFloat</h4>
<pre>public static&nbsp;float&nbsp;byteArrayToFloat(byte[]&nbsp;bytes)</pre>
<div class="block">Casts to int for conversion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bytes</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="byteArrayToInt-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToInt</h4>
<pre>public static&nbsp;int&nbsp;byteArrayToInt(byte[]&nbsp;bytes)</pre>
</li>
</ul>
<a name="intToByteArray-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intToByteArray</h4>
<pre>public static&nbsp;byte[]&nbsp;intToByteArray(int&nbsp;value)</pre>
</li>
</ul>
<a name="byteArrayToString-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToString</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;byteArrayToString(byte[]&nbsp;bytes)</pre>
</li>
</ul>
<a name="stringToByteArray-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stringToByteArray</h4>
<pre>public static&nbsp;byte[]&nbsp;stringToByteArray(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;s)</pre>
</li>
</ul>
<a name="objectToByte-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>objectToByte</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>&nbsp;objectToByte(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
</li>
</ul>
<a name="byteToObject-java.lang.Byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteToObject</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;byteToObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>&nbsp;b)</pre>
</li>
</ul>
<a name="byteToPrim-java.lang.Byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteToPrim</h4>
<pre>public static&nbsp;byte&nbsp;byteToPrim(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>&nbsp;b)</pre>
</li>
</ul>
<a name="bytePrimtoByte-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bytePrimtoByte</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Byte.html?is-external=true" title="class or interface in java.lang">Byte</a>&nbsp;bytePrimtoByte(byte&nbsp;b)</pre>
</li>
</ul>
<a name="objectArrayToBytePrimArray-java.lang.Object:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>objectArrayToBytePrimArray</h4>
<pre>public static&nbsp;byte[]&nbsp;objectArrayToBytePrimArray(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]&nbsp;obj)
                                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="bytePrimArrayToObjectArray-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bytePrimArrayToObjectArray</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]&nbsp;bytePrimArrayToObjectArray(byte[]&nbsp;bytes)
                                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="creatureToByteArray-projectx.engine.managers.entities.creatures.Creature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creatureToByteArray</h4>
<pre>public static&nbsp;byte[]&nbsp;creatureToByteArray(<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;c)</pre>
<div class="block">Mitchell will make this better</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="byteArrayToCreature-byte:A-projectx.engine.Handler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToCreature</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;byteArrayToCreature(byte[]&nbsp;a,
                                           <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</pre>
</li>
</ul>
<a name="byteArrayToInventory-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToInventory</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a>&nbsp;byteArrayToInventory(byte[]&nbsp;a)</pre>
</li>
</ul>
<a name="byteArrayToCreatureArray-byte:A-projectx.engine.Handler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>byteArrayToCreatureArray</h4>
<pre>public static&nbsp;<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]&nbsp;byteArrayToCreatureArray(byte[]&nbsp;b,
                                                  <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</pre>
<div class="block">To Be finished later</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="creatureArrayToByteArray-projectx.engine.managers.entities.creatures.Creature:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creatureArrayToByteArray</h4>
<pre>public static&nbsp;byte[]&nbsp;creatureArrayToByteArray(<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]&nbsp;creatures)</pre>
</li>
</ul>
<a name="creatureToString-projectx.engine.managers.entities.creatures.Creature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creatureToString</h4>
<pre>public static&nbsp;void&nbsp;creatureToString(<a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;c)</pre>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Convert.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../projectx/engine/utils/MergeSort.html" title="class in projectx.engine.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/utils/Convert.html" target="_top">Frames</a></li>
<li><a href="Convert.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
